net.i2p.data.i2cp

## Class I2CPMessageReader.I2CPMessageReaderRunner

- java.lang.Object
- - net.i2p.data.i2cp.I2CPMessageReader.I2CPMessageReaderRunner

- All Implemented Interfaces:
    Runnable
  Direct Known Subclasses:
    QueuedI2CPMessageReader.QueuedI2CPMessageReaderRunner
  Enclosing class:
    I2CPMessageReader

      protected class I2CPMessageReader.I2CPMessageReaderRunner
      extends Object
      implements Runnable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `_doRun`
    `protected boolean` | `_stayAlive`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `I2CPMessageReader.I2CPMessageReaderRunner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelRunner()`
    `void` | `pauseRunner()` deprecated unused
    `void` | `resumeRunner()` deprecated unused
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _doRun

          protected volatile boolean _doRun

    - #### _stayAlive

          protected volatile boolean _stayAlive

  - ### Constructor Detail

    - #### I2CPMessageReader.I2CPMessageReaderRunner

          public I2CPMessageReader.I2CPMessageReaderRunner()

  - ### Method Detail

    - #### pauseRunner

          public void pauseRunner()

      deprecated unused

    - #### resumeRunner

          public void resumeRunner()

      deprecated unused

    - #### cancelRunner

          public void cancelRunner()

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`